Index: trunk/LMDZ.VENUS/libf/phyvenus/clmain.F
===================================================================
--- trunk/LMDZ.VENUS/libf/phyvenus/clmain.F	(revision 888)
+++ trunk/LMDZ.VENUS/libf/phyvenus/clmain.F	(revision 892)
@@ -823,5 +823,5 @@
          zx_alf2(i) = 1.0 - zx_alf1(i)
          zx_coef(i,1) = coef(i,1)
-     .                 * (1.0+SQRT(u1lay(i)**2+v1lay(i)**2))
+     .                 * SQRT(u1lay(i)**2+v1lay(i)**2)
      .                 * pplay(i,1)/(RD*t(i,1))
          zx_coef(i,1) = zx_coef(i,1) * dtime*RG
Index: trunk/LMDZ.VENUS/libf/phyvenus/clmain.classic
===================================================================
--- trunk/LMDZ.VENUS/libf/phyvenus/clmain.classic	(revision 888)
+++ trunk/LMDZ.VENUS/libf/phyvenus/clmain.classic	(revision 892)
@@ -822,5 +822,5 @@
          zx_alf2(i) = 1.0 - zx_alf1(i)
          zx_coef(i,1) = coef(i,1)
-     .                 * (1.0+SQRT(u1lay(i)**2+v1lay(i)**2))
+     .                 * SQRT(u1lay(i)**2+v1lay(i)**2)
      .                 * pplay(i,1)/(RD*t(i,1))
          zx_coef(i,1) = zx_coef(i,1) * dtime*RG
Index: trunk/LMDZ.VENUS/libf/phyvenus/clmain.old
===================================================================
--- trunk/LMDZ.VENUS/libf/phyvenus/clmain.old	(revision 888)
+++ trunk/LMDZ.VENUS/libf/phyvenus/clmain.old	(revision 892)
@@ -803,5 +803,5 @@
          zx_alf2(i) = 1.0 - zx_alf1(i)
          zx_coef(i,1) = coef(i,1)
-     .                 * (1.0+SQRT(u1lay(i)**2+v1lay(i)**2))
+     .                 * SQRT(u1lay(i)**2+v1lay(i)**2)
      .                 * pplay(i,1)/(RD*t(i,1))
          zx_coef(i,1) = zx_coef(i,1) * dtime*RG
Index: trunk/LMDZ.VENUS/libf/phyvenus/clmain.simple
===================================================================
--- trunk/LMDZ.VENUS/libf/phyvenus/clmain.simple	(revision 888)
+++ trunk/LMDZ.VENUS/libf/phyvenus/clmain.simple	(revision 892)
@@ -693,5 +693,5 @@
          zx_alf2(i) = 1.0 - zx_alf1(i)
          zx_coef(i,1) = coef(i,1)
-     .                 * (1.0+SQRT(u1lay(i)**2+v1lay(i)**2))
+     .                 * SQRT(u1lay(i)**2+v1lay(i)**2)
      .                 * pplay(i,1)/(RD*t(i,1))
          zx_coef(i,1) = zx_coef(i,1) * dtime*RG
Index: trunk/LMDZ.VENUS/libf/phyvenus/comcstVE.h
===================================================================
--- trunk/LMDZ.VENUS/libf/phyvenus/comcstVE.h	(revision 888)
+++ trunk/LMDZ.VENUS/libf/phyvenus/comcstVE.h	(revision 892)
@@ -1,4 +1,4 @@
-c-----------------------------------------------------------------------
-c INCLUDE comcstVE.h
+!-----------------------------------------------------------------------
+! INCLUDE comcstVE.h
 
         integer nnuve,nbztopve,nbpsve,nbmat
@@ -15,3 +15,3 @@
 
 
-c-----------------------------------------------------------------------
+!-----------------------------------------------------------------------
Index: trunk/LMDZ.VENUS/libf/phyvenus/comcstfi.h
===================================================================
--- trunk/LMDZ.VENUS/libf/phyvenus/comcstfi.h	(revision 888)
+++ trunk/LMDZ.VENUS/libf/phyvenus/comcstfi.h	(revision 892)
@@ -1,11 +1,10 @@
-c-----------------------------------------------------------------------
-c INCLUDE comcstfi.h
+!-----------------------------------------------------------------------
+! INCLUDE comcstfi.h
 
-      COMMON/comcstfi/
-     * pi,rad,g,r,cpp,rcp,dtphys,daysec,mugaz,omeg
+      COMMON/comcstfi/rad,g,r,cpp,rcp,dtphys,daysec,mugaz,omeg
 
-      REAL pi,rad,g,r,cpp,rcp,dtphys,daysec,mugaz,omeg
+      REAL rad,g,r,cpp,rcp,dtphys,daysec,mugaz,omeg
       real cpdet
       external cpdet
 
-c-----------------------------------------------------------------------
+!-----------------------------------------------------------------------
Index: trunk/LMDZ.VENUS/libf/phyvenus/comg1d.h
===================================================================
--- trunk/LMDZ.VENUS/libf/phyvenus/comg1d.h	(revision 888)
+++ trunk/LMDZ.VENUS/libf/phyvenus/comg1d.h	(revision 892)
@@ -1,27 +1,27 @@
-c.......................................................................
-c  le COMMON pour GRADS-1D
-c  (Utilise pour les sorties format Grads dans la version 1D du modele)
-c
-c  on peut se dire : "on ne sauvera pas plus de 1000 variables ... hein ?"
-c
+!.......................................................................
+!  le COMMON pour GRADS-1D
+!  (Utilise pour les sorties format Grads dans la version 1D du modele)
+!
+!  on peut se dire : "on ne sauvera pas plus de 1000 variables ... hein ?"
+!
       INTEGER g1d_nvarmx
       PARAMETER(g1d_nvarmx=1000)
-c
-c         * g1d_nlayer     ---> nombre de couches verticales
-c         * g1d_nomfich    ---> nom du fichier grads
-c         * g1d_unitfich   ---> code du fichier grads
-c         * g1d_nomctl     ---> nom du fichier ctl
-c         * g1d_unitctl    ---> code du fichier ctl
-c         * g1d_premier    ---> variable logique pour dire si le fichier
-c                               est deja ouvert
-c         * g1d_irec       ---> indice de derniere ecriture
-c         * g1d_nvar       ---> nombre de variables deja definies a la
-c                               derniere ecriture
-c         * g1d_nomvar     ---> noms des vecteurs existants
-c         * g1d_dimvar     ---> taille des vecteurs
-c         * g1d_titrevar   ---> titres des vecteurs
-c         * g1d_tmp1       ---> caractere 
-c         * g1d_tmp2       ---> caractere 
-c
+
+!         * g1d_nlayer     ---> nombre de couches verticales
+!         * g1d_nomfich    ---> nom du fichier grads
+!         * g1d_unitfich   ---> code du fichier grads
+!         * g1d_nomctl     ---> nom du fichier ctl
+!         * g1d_unitctl    ---> code du fichier ctl
+!         * g1d_premier    ---> variable logique pour dire si le fichier
+!                               est deja ouvert
+!         * g1d_irec       ---> indice de derniere ecriture
+!         * g1d_nvar       ---> nombre de variables deja definies a la
+!                               derniere ecriture
+!         * g1d_nomvar     ---> noms des vecteurs existants
+!         * g1d_dimvar     ---> taille des vecteurs
+!         * g1d_titrevar   ---> titres des vecteurs
+!         * g1d_tmp1       ---> caractere 
+!         * g1d_tmp2       ---> caractere 
+
       INTEGER g1d_nlayer
       CHARACTER*100 g1d_nomfich
@@ -40,24 +40,23 @@
       CHARACTER*100 g1d_tmp1,g1d_tmp2
 c
-      COMMON/COMG1DI/g1d_nlayer
-     &             ,g1d_unitfich
-     &             ,g1d_unitctl
-     &             ,g1d_irec
-     &             ,g2d_irec
-     &             ,g2d_appel
+      COMMON/COMG1DI/g1d_nlayer                                         &
+     &             ,g1d_unitfich                                        &
+     &             ,g1d_unitctl                                         &
+     &             ,g1d_irec                                            &
+     &             ,g2d_irec                                            &
+     &             ,g2d_appel                                           &
      &             ,g1d_nvar
-      COMMON/COMG1DC/g1d_dimvar(0:g1d_nvarmx)
-     &             ,g1d_nomfich
-     &             ,g1d_nomctl
-     &             ,g1d_nomvar(0:g1d_nvarmx)
-     &             ,g1d_titrevar(0:g1d_nvarmx)
-     &             ,g1d_tmp1
+      COMMON/COMG1DC/g1d_dimvar(0:g1d_nvarmx)                           &
+     &             ,g1d_nomfich                                         &
+     &             ,g1d_nomctl                                          &
+     &             ,g1d_nomvar(0:g1d_nvarmx)                            &
+     &             ,g1d_titrevar(0:g1d_nvarmx)                          &
+     &             ,g1d_tmp1                                            &
      &             ,g1d_tmp2
-      COMMON/COMG1DL/g1d_premier
+      COMMON/COMG1DL/g1d_premier                                        &
      &             ,g2d_premier
-c
 
       integer nbphypers
       common/rythme/nbphypers
-c.......................................................................
+!.......................................................................
 
Index: trunk/LMDZ.VENUS/libf/phyvenus/comgeomphy.F90
===================================================================
--- trunk/LMDZ.VENUS/libf/phyvenus/comgeomphy.F90	(revision 888)
+++ trunk/LMDZ.VENUS/libf/phyvenus/comgeomphy.F90	(revision 892)
@@ -9,13 +9,13 @@
   
   subroutine initcomgeomphy
-  use dimphy
+  USE mod_phys_lmdz_para
   implicit none
     
  
-    allocate(airephy(klon))
-    allocate(cuphy(klon))
-    allocate(cvphy(klon))
-    allocate(rlatd(klon))
-    allocate(rlond(klon))
+    allocate(airephy(klon_omp))
+    allocate(cuphy(klon_omp))
+    allocate(cvphy(klon_omp))
+    allocate(rlatd(klon_omp))
+    allocate(rlond(klon_omp))
 
   end subroutine initcomgeomphy
Index: trunk/LMDZ.VENUS/libf/phyvenus/dimphy.F90
===================================================================
--- trunk/LMDZ.VENUS/libf/phyvenus/dimphy.F90	(revision 888)
+++ trunk/LMDZ.VENUS/libf/phyvenus/dimphy.F90	(revision 892)
@@ -8,9 +8,6 @@
   INTEGER,SAVE :: klevp1
   INTEGER,SAVE :: klevm1
-  INTEGER,SAVE :: kflev
 
 !$OMP THREADPRIVATE(klon,kfdia,kidia,kdlon)
-  REAL,save,allocatable,dimension(:) :: zmasq
-!$OMP THREADPRIVATE(zmasq)   
 
 CONTAINS
@@ -31,7 +28,5 @@
     klevp1=klev+1
     klevm1=klev-1
-    kflev=klev
 !$OMP END MASTER    
-    ALLOCATE(zmasq(klon))    
     
   END SUBROUTINE init_dimphy
Index: trunk/LMDZ.VENUS/libf/phyvenus/ini_histday.h
===================================================================
--- trunk/LMDZ.VENUS/libf/phyvenus/ini_histday.h	(revision 888)
+++ trunk/LMDZ.VENUS/libf/phyvenus/ini_histday.h	(revision 892)
@@ -3,27 +3,17 @@
 !
       IF (ok_journe) THEN
-c
+
          zsto = dtime
          zout = dtime * REAL(ecrit_day)
          zsto1= dtime * REAL(ecrit_day)
-c
+
          idayref = day_ref
          CALL ymds2ju(annee_ref, 1, idayref, zero, zjulian)
-c
-         CALL gr_fi_ecrit(1,klon,iim,jjmp1,rlond,zx_lon)
-         DO i = 1, iim
-            zx_lon(i,1) = rlond(i+jjmp1-jjm)
-            zx_lon(i,jjmp1) = rlond(i+jjmp1-jjm)
-         ENDDO
-         CALL gr_fi_ecrit(1,klon,iim,jjmp1,rlatd,zx_lat)
-
-c VENUS: regardee a l'envers!!!!!!!!!!!!!!!
-c    d'ou le -1.* devant zx_lon et zx_lat	 
-         CALL histbeg("histday.nc", iim,-1.*zx_lon(:,1), jjmp1,
-     .                 -1.*zx_lat(1,:),
-     .                 1,iim,1,jjmp1, itau_phy, zjulian, zsto, 
-     .                 nhori, nid_day)
-         write(*,*)'Journee ', itau_phy, zjulian
-         CALL histvert(nid_day, "presnivs", "Vertical levels", "mb",
+
+         call histbeg_phy("histday.nc",itau_phy,
+     .                    zjulian,zsto,nhori,nid_day)
+
+!$OMP MASTER
+         CALL histvert(nid_day, "presnivs", "Vertical levels", "Pa",
      .                 klev, presnivs, nvert)
 
@@ -34,25 +24,25 @@
 c
          CALL histdef(nid_day, "phis", "Surface geop. height", "-",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                iim,jj_nb,nhori, 1,1,1, nvert, 32, 
      .                "once",  zsto,zout)
 c
          CALL histdef(nid_day, "aire", "Grid area", "-",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                iim,jj_nb,nhori, 1,1,1, nvert, 32, 
      .                "once",  zsto,zout)
 c
          CALL histdef(nid_day, "tsol", "Surface Temperature", "K",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                iim,jj_nb,nhori, 1,1,1, nvert, 32, 
      .                "ave(X)", zsto,zout)
 c
          CALL histdef(nid_day, "psol", "Surface Pressure", "Pa",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                iim,jj_nb,nhori, 1,1,1, nvert, 32, 
      .                "ave(X)", zsto,zout)
 c
          CALL histdef(nid_day, "ue", "Zonal energy transport", "-",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                iim,jj_nb,nhori, 1,1,1, nvert, 32, 
      .                "ave(X)", zsto,zout)
 c
          CALL histdef(nid_day, "ve", "Merid energy transport", "-",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                iim,jj_nb,nhori, 1,1,1, nvert, 32, 
      .                "ave(X)", zsto,zout)
 c
@@ -65,25 +55,25 @@
 c
          CALL histdef(nid_day, "temp", "Air temperature", "K",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
 c
          CALL histdef(nid_day, "pres", "Air pressure", "Pa",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
 c
          CALL histdef(nid_day, "geop", "Geopotential height", "m",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
 c
          CALL histdef(nid_day, "vitu", "Zonal wind", "m/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
 c
          CALL histdef(nid_day, "vitv", "Meridional wind", "m/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
 c
          CALL histdef(nid_day, "vitw", "Vertical wind", "Pa/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
 c
@@ -98,17 +88,17 @@
 c
          CALL histdef(nid_day, "tops", "Solar rad. at TOA", "W/m2",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                iim,jj_nb,nhori, 1,1,1, nvert, 32, 
      .                "ave(X)", zsto1,zout)
 c
          CALL histdef(nid_day, "topl", "IR rad. at TOA", "W/m2",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                iim,jj_nb,nhori, 1,1,1, nvert, 32, 
      .                "ave(X)", zsto1,zout)
 c
          CALL histdef(nid_day, "sols", "Solar rad. at surf.", "W/m2",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                iim,jj_nb,nhori, 1,1,1, nvert, 32, 
      .                "ave(X)", zsto1,zout)
 c
          CALL histdef(nid_day, "soll", "IR rad. at surface", "W/m2",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                iim,jj_nb,nhori, 1,1,1, nvert, 32, 
      .                "ave(X)", zsto1,zout)
 c
@@ -116,9 +106,9 @@
 c
          CALL histdef(nid_day, "SWnet", "Net SW flux","W/m2",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert,
+     .                iim,jj_nb,nhori, klev,1,klev,nvert,
      .                32, "ave(X)", zsto1,zout)
 c
          CALL histdef(nid_day, "LWnet", "Net LW flux","W/m2",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert,
+     .                iim,jj_nb,nhori, klev,1,klev,nvert,
      .                32, "ave(X)", zsto1,zout)
 c
@@ -129,53 +119,53 @@
 c
          CALL histdef(nid_day, "dtdyn", "Dynamics dT", "K/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
 c
 c         CALL histdef(nid_day, "dtphy", "Physics dT", "K/s",
-c     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+c     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
 c     .                "ave(X)", zsto,zout)
 c
          CALL histdef(nid_day, "dtvdf", "Boundary-layer dT", "K/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
 c
          CALL histdef(nid_day, "dtajs", "Dry adjust. dT", "K/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
 c
          CALL histdef(nid_day, "dtswr", "SW radiation dT", "K/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
 c
          CALL histdef(nid_day, "dtlwr", "LW radiation dT", "K/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
 c
 c         CALL histdef(nid_day, "dtec", "Cinetic dissip dT", "K/s",
-c     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+c     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
 c     .                "ave(X)", zsto,zout)
 c
          CALL histdef(nid_mth, "dudyn", "Dynamics dU", "m/s2",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
 c
          CALL histdef(nid_mth, "duvdf", "Boundary-layer dU", "m/s2",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
 c
          CALL histdef(nid_mth, "duajs", "Dry convection dU", "m/s2",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
 c
          CALL histdef(nid_mth, "dugwo", "GW oro dU", "m/s2",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
 c
          CALL histdef(nid_mth, "dugwno", "GW non-oro dU", "m/s2",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
 c
 c        CALL histdef(nid_mth, "dvvdf", "Boundary-layer dV", "m/s2",
-c    .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+c    .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
 c    .                "ave(X)", zsto,zout)
 c
@@ -190,5 +180,5 @@
          WRITE(str2,'(i2.2)') iq
          CALL histdef(nid_day, "trac"//str2, "Tracer No."//str2, "-",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
             ELSE
@@ -201,27 +191,25 @@
 c        call histdef(nid_day, "taux", 
 c    $         "Zonal wind stress", "Pa",  
-c    $         iim,jjmp1,nhori, 1,1,1, -99, 32,
+c    $         iim,jj_nb,nhori, 1,1,1, nvert, 32,
 c    $         "ave(X)", zsto,zout)
 c
 c        call histdef(nid_day, "tauy", 
 c    $         "Meridional xind stress", "Pa",  
-c    $         iim,jjmp1,nhori, 1,1,1, -99, 32,
+c    $         iim,jj_nb,nhori, 1,1,1, nvert, 32,
 c    $         "ave(X)", zsto,zout)
 c
 c        CALL histdef(nid_day, "cdrm", "Momentum drag coef.", "-",
-c    .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+c    .                iim,jj_nb,nhori, 1,1,1, nvert, 32, 
 c    .                "ave(X)", zsto,zout)
 c
 c        CALL histdef(nid_day, "cdrh", "Heat drag coef.", "-",
-c    .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+c    .                iim,jj_nb,nhori, 1,1,1, nvert, 32, 
 c    .                "ave(X)", zsto,zout)
 c
       ENDIF !lev_histday.GE.5
 c-------------------------------------------------------
-c
+
          CALL histend(nid_day)
-c
-         ndex2d = 0
-         ndex3d = 0
-c
+!$OMP END MASTER
+
       ENDIF ! fin de test sur ok_journe
Index: trunk/LMDZ.VENUS/libf/phyvenus/ini_histins.h
===================================================================
--- trunk/LMDZ.VENUS/libf/phyvenus/ini_histins.h	(revision 888)
+++ trunk/LMDZ.VENUS/libf/phyvenus/ini_histins.h	(revision 892)
@@ -3,27 +3,17 @@
 !
       IF (ok_instan) THEN
-c
+
           zsto1= dtime
           zsto = dtime * ecrit_ins
           zout = dtime * ecrit_ins
-c
+
          idayref = day_ref
          CALL ymds2ju(annee_ref, 1, idayref, zero, zjulian)
-c
-         CALL gr_fi_ecrit(1,klon,iim,jjmp1,rlond,zx_lon)
-         DO i = 1, iim
-            zx_lon(i,1) = rlond(i+jjmp1-jjm)
-            zx_lon(i,jjmp1) = rlond(i+jjmp1-jjm)
-         ENDDO
-         CALL gr_fi_ecrit(1,klon,iim,jjmp1,rlatd,zx_lat)
-	 
-c VENUS: regardee a l'envers!!!!!!!!!!!!!!!
-c    d'ou le -1.* devant zx_lon et zx_lat	 
-         CALL histbeg("histins.nc", iim,-1.*zx_lon(:,1), jjmp1,
-     .                 -1.*zx_lat(1,:),
-     .                 1,iim,1,jjmp1, itau_phy, zjulian, zsto1,
-     .                 nhori, nid_ins)
-         write(*,*)'Inst ', itau_phy, zjulian
-         CALL histvert(nid_ins, "presnivs", "Vertical levels", "mb",
+
+         call histbeg_phy("histins.nc",itau_phy,
+     .                    zjulian,zsto,nhori,nid_ins)
+
+!$OMP MASTER
+         CALL histvert(nid_ins, "presnivs", "Vertical levels", "Pa",
      .                 klev, presnivs, nvert)
 
@@ -34,33 +24,33 @@
 c
          CALL histdef(nid_ins, "phis", "Surface geop. height", "-",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                iim,jj_nb,nhori, 1,1,1, nvert, 32, 
      .                "once",  zsto,zout)
 c
          CALL histdef(nid_ins, "aire", "Grid area", "-",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                iim,jj_nb,nhori, 1,1,1, nvert, 32, 
      .                "once",  zsto,zout)
 c
          CALL histdef(nid_ins, "tsol", "Surface Temperature", "K",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                iim,jj_nb,nhori, 1,1,1, nvert, 32, 
      .                "ins(X)", zsto,zout)
 c
          CALL histdef(nid_ins, "psol", "Surface Pressure", "Pa",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                iim,jj_nb,nhori, 1,1,1, nvert, 32, 
      .                "ins(X)", zsto,zout)
 c
 c        CALL histdef(nid_ins, "ue", "Zonal energy transport", "-",
-c    .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+c    .                iim,jj_nb,nhori, 1,1,1, nvert, 32, 
 c    .                "ins(X)", zsto,zout)
 c
 c        CALL histdef(nid_ins, "ve", "Merid energy transport", "-",
-c    .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+c    .                iim,jj_nb,nhori, 1,1,1, nvert, 32, 
 c    .                "ins(X)", zsto,zout)
 c
          CALL histdef(nid_ins, "cdragh", "Drag coef on T", "-",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                iim,jj_nb,nhori, 1,1,1, nvert, 32, 
      .                "ins(X)", zsto,zout)
 c
          CALL histdef(nid_ins, "cdragm", "Drag coef on U", "-",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                iim,jj_nb,nhori, 1,1,1, nvert, 32, 
      .                "ins(X)", zsto,zout)
 c
@@ -73,41 +63,41 @@
 c
          CALL histdef(nid_ins, "temp", "Air temperature", "K",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ins(X)", zsto,zout)
 c
          CALL histdef(nid_ins, "pres", "Air pressure", "Pa",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ins(X)", zsto,zout)
 c
          CALL histdef(nid_ins, "geop", "Geopotential height", "m",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ins(X)", zsto,zout)
 c
          CALL histdef(nid_ins, "vitu", "Zonal wind", "m/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ins(X)", zsto,zout)
 c
          CALL histdef(nid_ins, "vitv", "Meridional wind", "m/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ins(X)", zsto,zout)
 c
          CALL histdef(nid_ins, "vitw", "Vertical wind", "Pa/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ins(X)", zsto,zout)
 c
          CALL histdef(nid_ins, "dudyn", "Dynamics dU", "m/s2",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ins(X)", zsto,zout)
 c
          CALL histdef(nid_ins, "duvdf", "Boundary-layer dU", "m/s2",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ins(X)", zsto,zout)
 c
 c        CALL histdef(nid_ins, "mang", "Angular momentum", "kg m2/s",
-c    .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+c    .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
 c    .                "ins(X)", zsto,zout)
 c
          CALL histdef(nid_ins, "Kz", "vertical diffusion coef", "m2/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ins(X)", zsto,zout)
 c
@@ -118,5 +108,5 @@
           WRITE(str2,'(i2.2)') iq
           CALL histdef(nid_ins, tname(iq), ttext(iq), "ppm",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ins(X)", zsto,zout)
              ELSE
@@ -128,5 +118,5 @@
 c
          CALL histdef(nid_ins, "tops", "Solar rad. at TOA", "W/m2",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                iim,jj_nb,nhori, 1,1,1, nvert, 32, 
      .                "ins(X)", zsto,zout)
 c
@@ -141,13 +131,13 @@
 c
          CALL histdef(nid_ins, "topl", "IR rad. at TOA", "W/m2",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                iim,jj_nb,nhori, 1,1,1, nvert, 32, 
      .                "ins(X)", zsto,zout)
 c
          CALL histdef(nid_ins, "sols", "Solar rad. at surf.", "W/m2",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                iim,jj_nb,nhori, 1,1,1, nvert, 32, 
      .                "ins(X)", zsto,zout)
 c
          CALL histdef(nid_ins, "soll", "IR rad. at surface", "W/m2",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                iim,jj_nb,nhori, 1,1,1, nvert, 32, 
      .                "ins(X)", zsto,zout)
 c
@@ -155,25 +145,25 @@
 c
          CALL histdef(nid_ins, "SWnet", "Net SW flux","W/m2",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert,
+     .                iim,jj_nb,nhori, klev,1,klev,nvert,
      .                32, "ins(X)", zsto,zout)
 c
          CALL histdef(nid_ins, "LWnet", "Net LW flux","W/m2",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert,
+     .                iim,jj_nb,nhori, klev,1,klev,nvert,
      .                32, "ins(X)", zsto,zout)
 c
          CALL histdef(nid_ins, "fluxvdf", "PBL net flux","W/m2",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert,
+     .                iim,jj_nb,nhori, klev,1,klev,nvert,
      .                32, "ins(X)", zsto,zout)
 c
          CALL histdef(nid_ins, "fluxdyn", "Dyn. net flux","W/m2",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert,
+     .                iim,jj_nb,nhori, klev,1,klev,nvert,
      .                32, "ins(X)", zsto,zout)
 c
          CALL histdef(nid_ins, "fluxajs", "Dry adj. net flux","W/m2",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert,
+     .                iim,jj_nb,nhori, klev,1,klev,nvert,
      .                32, "ins(X)", zsto,zout)
 c
 c        CALL histdef(nid_ins, "fluxec", "Cin. net flux","W/m2",
-c    .                iim,jjmp1,nhori, klev,1,klev,nvert,
+c    .                iim,jj_nb,nhori, klev,1,klev,nvert,
 c    .                32, "ins(X)", zsto,zout)
 c
@@ -184,45 +174,45 @@
 c
          CALL histdef(nid_ins, "dtdyn", "Dynamics dT", "K/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ins(X)", zsto,zout)
 c
 c        CALL histdef(nid_ins, "dtphy", "Physics dT", "K/s",
-c    .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+c    .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
 c    .                "ins(X)", zsto,zout)
 c
          CALL histdef(nid_ins, "dtvdf", "Boundary-layer dT", "K/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ins(X)", zsto,zout)
 c
          CALL histdef(nid_ins, "dtajs", "Dry adjust. dT", "K/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ins(X)", zsto,zout)
 c
          CALL histdef(nid_ins, "dtswr", "SW radiation dT", "K/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ins(X)", zsto,zout)
 c
          CALL histdef(nid_ins, "dtlwr", "LW radiation dT", "K/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ins(X)", zsto,zout)
 c
 c        CALL histdef(nid_ins, "dtec", "Cinetic dissip dT", "K/s",
-c    .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+c    .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
 c    .                "ins(X)", zsto,zout)
 c
          CALL histdef(nid_ins, "duajs", "Dry convection dU", "m/s2",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ins(X)", zsto,zout)
 c
          CALL histdef(nid_ins, "dugwo", "GW oro dU", "m/s2",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ins(X)", zsto,zout)
 c
          CALL histdef(nid_ins, "dugwno", "GW non-oro dU", "m/s2",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ins(X)", zsto,zout)
 c
 c        CALL histdef(nid_ins, "dvvdf", "Boundary-layer dV", "m/s2",
-c    .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+c    .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
 c    .                "ins(X)", zsto,zout)
 c
@@ -234,18 +224,18 @@
 c        call histdef(nid_ins, "taux", 
 c    $         "Zonal wind stress", "Pa",  
-c    $         iim,jjmp1,nhori, 1,1,1, -99, 32,
+c    $         iim,jj_nb,nhori, 1,1,1, nvert, 32,
 c    $         "ins(X)", zsto,zout)
 c
 c        call histdef(nid_ins, "tauy", 
 c    $         "Meridional xind stress", "Pa",  
-c    $         iim,jjmp1,nhori, 1,1,1, -99, 32,
+c    $         iim,jj_nb,nhori, 1,1,1, nvert, 32,
 c    $         "ins(X)", zsto,zout)
 c
 c        CALL histdef(nid_ins, "cdrm", "Momentum drag coef.", "-",
-c    .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+c    .                iim,jj_nb,nhori, 1,1,1, nvert, 32, 
 c    .                "ins(X)", zsto,zout)
 c
 c        CALL histdef(nid_ins, "cdrh", "Heat drag coef.", "-",
-c    .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+c    .                iim,jj_nb,nhori, 1,1,1, nvert, 32, 
 c    .                "ins(X)", zsto,zout)
 c
@@ -254,7 +244,5 @@
 c
          CALL histend(nid_ins)
-c
-         ndex2d = 0
-         ndex3d = 0
-c
+!$OMP END MASTER
+
       ENDIF
